---
document: modulemd
version: 2
data:
  name: perl
  stream: "5.24"
  version: 8050020211210105348
  context: ee766497
  arch: ppc64le
  summary: Practical Extraction and Report Language
  description: >
    Perl is a high-level programming language with roots in C, sed, awk and shell
    scripting. Perl is good at handling processes and files, and is especially good
    at handling text. Perl's hallmarks are practicality and efficiency. While it is
    used to do a lot of different things, Perl's most common applications are system
    administration utilities and web programming.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      perl-bootstrap: [5.24]
      platform: [el8]
    requires:
      platform: [el8]
  references:
    community: https://docs.pagure.org/modularity/
  profiles:
    common:
      rpms:
      - perl-core
    minimal:
      rpms:
      - perl
  api:
    rpms:
    - perl
    - perl-Algorithm-Diff
    - perl-Archive-Tar
    - perl-Archive-Zip
    - perl-Attribute-Handlers
    - perl-B-Debug
    - perl-CPAN
    - perl-CPAN-Meta
    - perl-CPAN-Meta-Requirements
    - perl-CPAN-Meta-YAML
    - perl-Carp
    - perl-Compress-Bzip2
    - perl-Compress-Raw-Bzip2
    - perl-Compress-Raw-Zlib
    - perl-Config-Perl-V
    - perl-DB_File
    - perl-Data-Dumper
    - perl-Data-OptList
    - perl-Data-Section
    - perl-Devel-PPPort
    - perl-Devel-Peek
    - perl-Devel-SelfStubber
    - perl-Devel-Size
    - perl-Digest
    - perl-Digest-MD5
    - perl-Digest-SHA
    - perl-Encode
    - perl-Encode-devel
    - perl-Env
    - perl-Errno
    - perl-Exporter
    - perl-ExtUtils-CBuilder
    - perl-ExtUtils-Command
    - perl-ExtUtils-Embed
    - perl-ExtUtils-Install
    - perl-ExtUtils-MM-Utils
    - perl-ExtUtils-MakeMaker
    - perl-ExtUtils-Manifest
    - perl-ExtUtils-Miniperl
    - perl-ExtUtils-ParseXS
    - perl-Fedora-VSP
    - perl-File-Fetch
    - perl-File-HomeDir
    - perl-File-Path
    - perl-File-Temp
    - perl-File-Which
    - perl-Filter
    - perl-Filter-Simple
    - perl-Getopt-Long
    - perl-HTTP-Tiny
    - perl-IO
    - perl-IO-Compress
    - perl-IO-Socket-IP
    - perl-IO-Zlib
    - perl-IPC-Cmd
    - perl-IPC-SysV
    - perl-IPC-System-Simple
    - perl-JSON-PP
    - perl-Locale-Codes
    - perl-Locale-Maketext
    - perl-Locale-Maketext-Simple
    - perl-MIME-Base64
    - perl-MRO-Compat
    - perl-Math-BigInt
    - perl-Math-BigInt-FastCalc
    - perl-Math-BigRat
    - perl-Math-Complex
    - perl-Memoize
    - perl-Module-Build
    - perl-Module-CoreList
    - perl-Module-CoreList-tools
    - perl-Module-Load
    - perl-Module-Load-Conditional
    - perl-Module-Loaded
    - perl-Module-Metadata
    - perl-Net-Ping
    - perl-Package-Generator
    - perl-Params-Check
    - perl-Params-Util
    - perl-PathTools
    - perl-Perl-OSType
    - perl-PerlIO-via-QuotedPrint
    - perl-Pod-Checker
    - perl-Pod-Escapes
    - perl-Pod-Html
    - perl-Pod-Parser
    - perl-Pod-Perldoc
    - perl-Pod-Simple
    - perl-Pod-Usage
    - perl-Scalar-List-Utils
    - perl-SelfLoader
    - perl-Socket
    - perl-Software-License
    - perl-Storable
    - perl-Sub-Exporter
    - perl-Sub-Install
    - perl-Sys-Syslog
    - perl-Term-ANSIColor
    - perl-Term-Cap
    - perl-Test
    - perl-Test-Harness
    - perl-Test-Simple
    - perl-Text-Balanced
    - perl-Text-Diff
    - perl-Text-Glob
    - perl-Text-ParseWords
    - perl-Text-Tabs+Wrap
    - perl-Text-Template
    - perl-Thread-Queue
    - perl-Time-HiRes
    - perl-Time-Local
    - perl-Time-Piece
    - perl-URI
    - perl-Unicode-Collate
    - perl-Unicode-Normalize
    - perl-autodie
    - perl-bignum
    - perl-constant
    - perl-devel
    - perl-encoding
    - perl-experimental
    - perl-generators
    - perl-homedir
    - perl-inc-latest
    - perl-interpreter
    - perl-libnet
    - perl-libnetcfg
    - perl-libs
    - perl-local-lib
    - perl-macros
    - perl-open
    - perl-parent
    - perl-perlfaq
    - perl-podlators
    - perl-tests
    - perl-threads
    - perl-threads-shared
    - perl-utils
    - perl-version
  buildopts:
    rpms:
      macros: >
        %_with_perl_enables_groff 1

        %_without_perl_enables_syslog_test 1

        %_with_perl_enables_systemtap 1

        %_without_perl_enables_tcsh 1

        %_without_perl_Compress_Bzip2_enables_optional_test 1

        %_without_perl_CPAN_Meta_Requirements_enables_optional_test 1

        %_without_perl_IPC_System_Simple_enables_optional_test 1

        %_without_perl_LWP_MediaTypes_enables_mailcap 1

        %_without_perl_Module_Build_enables_optional_test 1

        %_without_perl_Perl_OSType_enables_optional_test 1

        %_without_perl_Pod_Perldoc_enables_tk_test 1

        %_without_perl_Software_License_enables_optional_test 1

        %_without_perl_Sys_Syslog_enables_optional_test 1

        %_without_perl_Test_Harness_enables_optional_test 1

        %_without_perl_URI_enables_Business_ISBN 1
  components:
    rpms:
      perl:
        rationale: The Perl interpreter.
        ref: stream-5.24.3-rhel-8.1.0
      perl-Algorithm-Diff:
        rationale: A run-time dependency.
        ref: stream-1.1903-rhel-8.1.0
      perl-Archive-Tar:
        rationale: Core Perl API.
        ref: stream-2.26-rhel-8.1.0
      perl-Archive-Zip:
        rationale: A run-time dependency.
        ref: stream-1.59-rhel-8.1.0
      perl-B-Debug:
        rationale: Core Perl API.
        ref: stream-1.24-rhel-8.1.0
      perl-CPAN:
        rationale: Core Perl API.
        ref: stream-2.16-rhel-8.1.0
      perl-CPAN-Meta:
        rationale: Core Perl API.
        ref: stream-2.150010-rhel-8.1.0
      perl-CPAN-Meta-Requirements:
        rationale: Core Perl API.
        ref: stream-2.140-rhel-8.1.0
      perl-CPAN-Meta-YAML:
        rationale: Core Perl API.
        ref: stream-0.018-rhel-8.1.0
      perl-Carp:
        rationale: Core Perl API.
        ref: stream-1.40-rhel-8.1.0
      perl-Compress-Bzip2:
        rationale: A run-time dependency.
        ref: stream-2.26-rhel-8.1.0
      perl-Compress-Raw-Bzip2:
        rationale: Core Perl API.
        ref: stream-2.074-rhel-8.1.0
      perl-Compress-Raw-Zlib:
        rationale: Core Perl API.
        ref: stream-2.074-rhel-8.1.0
      perl-Config-Perl-V:
        rationale: Core Perl API.
        ref: stream-0.27-rhel-8.1.0
      perl-DB_File:
        rationale: Core Perl API.
        ref: stream-1.840-rhel-8.1.0
      perl-Data-Dumper:
        rationale: Core Perl API.
        ref: stream-2.161-rhel-8.1.0
      perl-Data-OptList:
        rationale: A run-time dependency.
        ref: stream-0.110-rhel-8.1.0
      perl-Data-Section:
        rationale: A run-time dependency.
        ref: stream-0.200006-rhel-8.1.0
      perl-Devel-PPPort:
        rationale: Core Perl API.
        ref: stream-3.36-rhel-8.1.0
      perl-Devel-Size:
        rationale: A run-time dependency.
        ref: stream-0.81-rhel-8.1.0
      perl-Digest:
        rationale: Core Perl API.
        ref: stream-1.17-rhel-8.1.0
      perl-Digest-MD5:
        rationale: Core Perl API.
        ref: stream-2.55-rhel-8.1.0
      perl-Digest-SHA:
        rationale: Core Perl API.
        ref: stream-6.01-rhel-8.1.0
      perl-Encode:
        rationale: Core Perl API.
        ref: stream-2.88-rhel-8.1.0
      perl-Env:
        rationale: Core Perl API.
        ref: stream-1.04-rhel-8.1.0
      perl-Exporter:
        rationale: Core Perl API.
        ref: stream-5.72-rhel-8.1.0
      perl-ExtUtils-CBuilder:
        rationale: Core Perl API.
        ref: stream-0.280225-rhel-8.1.0
      perl-ExtUtils-Install:
        rationale: Core Perl API.
        ref: stream-2.04-rhel-8.1.0
      perl-ExtUtils-MakeMaker:
        rationale: Core Perl API.
        ref: stream-7.24-rhel-8.1.0
      perl-ExtUtils-Manifest:
        rationale: Core Perl API.
        ref: stream-1.70-rhel-8.1.0
      perl-ExtUtils-ParseXS:
        rationale: Core Perl API.
        ref: stream-3.31-rhel-8.1.0
      perl-Fedora-VSP:
        rationale: RPM dependency generator.
        ref: stream-0.001-rhel-8.1.0
      perl-File-Fetch:
        rationale: Core Perl API.
        ref: stream-0.56-rhel-8.1.0
      perl-File-HomeDir:
        rationale: A run-time dependency.
        ref: stream-1.00-rhel-8.1.0
      perl-File-Path:
        rationale: Core Perl API.
        ref: stream-2.12-rhel-8.1.0
      perl-File-Temp:
        rationale: Core Perl API.
        ref: stream-0.230.400-rhel-8.1.0
      perl-File-Which:
        rationale: A run-time dependency.
        ref: stream-1.21-rhel-8.1.0
      perl-Filter:
        rationale: Core Perl API.
        ref: stream-1.58-rhel-8.1.0
      perl-Filter-Simple:
        rationale: Core Perl API.
        ref: stream-0.92-rhel-8.1.0
      perl-Getopt-Long:
        rationale: Core Perl API.
        ref: stream-2.49.1-rhel-8.1.0
      perl-HTTP-Tiny:
        rationale: Core Perl API.
        ref: stream-0.070-rhel-8.1.0
      perl-IO-Compress:
        rationale: Core Perl API.
        ref: stream-2.074-rhel-8.1.0
      perl-IO-Socket-IP:
        rationale: Core Perl API.
        ref: stream-0.39-rhel-8.1.0
      perl-IPC-Cmd:
        rationale: Core Perl API.
        ref: stream-0.98-rhel-8.1.0
      perl-IPC-SysV:
        rationale: Core Perl API.
        ref: stream-2.07-rhel-8.1.0
      perl-IPC-System-Simple:
        rationale: A run-time dependency.
        ref: stream-1.25-rhel-8.1.0
      perl-JSON-PP:
        rationale: Core Perl API.
        ref: stream-2.94000-rhel-8.1.0
      perl-Locale-Codes:
        rationale: Core Perl API.
        ref: stream-3.42-rhel-8.1.0
      perl-Locale-Maketext:
        rationale: Core Perl API.
        ref: stream-1.28-rhel-8.1.0
      perl-MIME-Base64:
        rationale: Core Perl API.
        ref: stream-3.15-rhel-8.1.0
      perl-MRO-Compat:
        rationale: A run-time dependency.
        ref: stream-0.13-rhel-8.1.0
      perl-Math-BigInt:
        rationale: Core Perl API.
        ref: stream-1.9998.11-rhel-8.1.0
      perl-Math-BigInt-FastCalc:
        rationale: Core Perl API.
        ref: stream-0.500.600-rhel-8.1.0
      perl-Math-BigRat:
        rationale: Core Perl API.
        ref: stream-0.2613-rhel-8.1.0
      perl-Module-Build:
        rationale: A run-time dependency.
        ref: stream-0.42.24-rhel-8.1.0
      perl-Module-CoreList:
        rationale: Core Perl API.
        ref: stream-5.20180120-rhel-8.1.0
      perl-Module-Load:
        rationale: Core Perl API.
        ref: stream-0.32-rhel-8.1.0
      perl-Module-Load-Conditional:
        rationale: Core Perl API.
        ref: stream-0.68-rhel-8.1.0
      perl-Module-Metadata:
        rationale: Core Perl API.
        ref: stream-1.000033-rhel-8.1.0
      perl-Package-Generator:
        rationale: A run-time dependency.
        ref: stream-1.106-rhel-8.1.0
      perl-Params-Check:
        rationale: Core Perl API.
        ref: stream-0.38-rhel-8.1.0
      perl-Params-Util:
        rationale: A run-time dependency.
        ref: stream-1.07-rhel-8.1.0
      perl-PathTools:
        rationale: Core Perl API.
        ref: stream-3.63-rhel-8.1.0
      perl-Perl-OSType:
        rationale: Core Perl API.
        ref: stream-1.010-rhel-8.1.0
      perl-PerlIO-via-QuotedPrint:
        rationale: Core Perl API.
        ref: stream-0.08-rhel-8.1.0
      perl-Pod-Checker:
        rationale: Core Perl API.
        ref: stream-1.73-rhel-8.1.0
      perl-Pod-Escapes:
        rationale: Core Perl API.
        ref: stream-1.07-rhel-8.1.0
      perl-Pod-Parser:
        rationale: Core Perl API.
        ref: stream-1.63-rhel-8.1.0
      perl-Pod-Perldoc:
        rationale: Core Perl API.
        ref: stream-3.28-rhel-8.1.0
      perl-Pod-Simple:
        rationale: Core Perl API.
        ref: stream-3.35-rhel-8.1.0
      perl-Pod-Usage:
        rationale: Core Perl API.
        ref: stream-1.69-rhel-8.1.0
      perl-Scalar-List-Utils:
        rationale: Core Perl API.
        ref: stream-1.48-rhel-8.1.0
      perl-Socket:
        rationale: Core Perl API.
        ref: stream-2.027-rhel-8.1.0
      perl-Software-License:
        rationale: A run-time dependency.
        ref: stream-0.103012-rhel-8.1.0
      perl-Storable:
        rationale: Core Perl API.
        ref: stream-2.56-rhel-8.1.0
      perl-Sub-Exporter:
        rationale: A run-time dependency.
        ref: stream-0.987-rhel-8.1.0
      perl-Sub-Install:
        rationale: A run-time dependency.
        ref: stream-0.928-rhel-8.1.0
      perl-Sys-Syslog:
        rationale: Core Perl API.
        ref: stream-0.35-rhel-8.1.0
      perl-Term-ANSIColor:
        rationale: Core Perl API.
        ref: stream-4.06-rhel-8.1.0
      perl-Term-Cap:
        rationale: Core Perl API.
        ref: stream-1.17-rhel-8.1.0
      perl-Test-Harness:
        rationale: Core Perl API.
        ref: stream-3.41-rhel-8.1.0
      perl-Test-Simple:
        rationale: Core Perl API.
        ref: stream-1.302086-rhel-8.1.0
      perl-Text-Balanced:
        rationale: Core Perl API.
        ref: stream-2.03-rhel-8.1.0
      perl-Text-Diff:
        rationale: A run-time dependency.
        ref: stream-1.44-rhel-8.1.0
      perl-Text-Glob:
        rationale: A run-time dependency.
        ref: stream-0.11-rhel-8.1.0
      perl-Text-ParseWords:
        rationale: Core Perl API.
        ref: stream-3.30-rhel-8.1.0
      perl-Text-Tabs+Wrap:
        rationale: Core Perl API.
        ref: stream-2013.0523-rhel-8.1.0
      perl-Text-Template:
        rationale: A run-time dependency.
        ref: stream-1.47-rhel-8.1.0
      perl-Thread-Queue:
        rationale: Core Perl API.
        ref: stream-3.12-rhel-8.1.0
      perl-Time-HiRes:
        rationale: Core Perl API.
        ref: stream-1.9753-rhel-8.1.0
      perl-Time-Local:
        rationale: Core Perl API.
        ref: stream-1.250-rhel-8.1.0
      perl-URI:
        rationale: A run-time dependency.
        ref: stream-1.71-rhel-8.1.0
      perl-Unicode-Collate:
        rationale: Core Perl API.
        ref: stream-1.20-rhel-8.1.0
      perl-Unicode-Normalize:
        rationale: Core Perl API.
        ref: stream-1.25-rhel-8.1.0
      perl-autodie:
        rationale: Core Perl API.
        ref: stream-2.29-rhel-8.1.0
      perl-bignum:
        rationale: Core Perl API.
        ref: stream-0.49-rhel-8.1.0
      perl-constant:
        rationale: Core Perl API.
        ref: stream-1.33-rhel-8.1.0
      perl-experimental:
        rationale: Core Perl API.
        ref: stream-0.019-rhel-8.1.0
      perl-generators:
        rationale: RPM dependency generator.
        ref: stream-1.10-rhel-8.1.0
      perl-inc-latest:
        rationale: A run-time dependency.
        ref: stream-0.500-rhel-8.1.0
      perl-libnet:
        rationale: Core Perl API.
        ref: stream-3.11-rhel-8.1.0
      perl-local-lib:
        rationale: A run-time dependency.
        ref: stream-2.000023-rhel-8.1.0
      perl-parent:
        rationale: Core Perl API.
        ref: stream-0.236-rhel-8.1.0
      perl-perlfaq:
        rationale: Core Perl API.
        ref: stream-5.021011-rhel-8.1.0
      perl-podlators:
        rationale: Core Perl API.
        ref: stream-4.09-rhel-8.1.0
      perl-threads:
        rationale: Core Perl API.
        ref: stream-2.21-rhel-8.1.0
      perl-threads-shared:
        rationale: Core Perl API.
        ref: stream-1.58-rhel-8.1.0
      perl-version:
        rationale: Core Perl API.
        ref: stream-0.99.18-rhel-8.1.0
...
